Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class PairedCorrectedTTester

    java.lang.Object
      weka.experiment.PairedTTester
          weka.experiment.PairedCorrectedTTester

All Implemented Interfaces:
  OptionHandler

    public class PairedCorrectedTTester

extends PairedTTester

Behaves the same as PairedTTester, only it uses the corrected resampled t-test statistic.

For more information see:

Claude Nadeau and Yoshua Bengio, "Inference for the Generalization Error," Machine Learning, 2001.

Version:
  $Revision: 1.6 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)

Constructor Summary
`PairedCorrectedTTester()`

Method Summary
`PairedStats` | `calculateStatistics(Instance datasetSpecifier, int resultset1Index, int resultset2Index, int comparisonColumn)` Computes a paired t-test comparison for a specified dataset between two resultsets.
`static void` | `main(java.lang.String[] args)` Test the class from the command line.

Methods inherited from class weka.experiment.PairedTTester
`displayResultset, getDatasetKeyColumns, getDisplayedResultsets, getFoldColumn, getInstances, getMeanPrec, getNumDatasets, getNumDisplayedResultsets, getNumResultsets, getOptions, getProduceCSV, getProduceLatex, getResultsetKeyColumns, getResultsetName, getRunColumn, getShowStdDevs, getSignificanceLevel, getStdDevPrec, header, listOptions, multiResultsetFull, multiResultsetRanking, multiResultsetSummary, multiResultsetWins, resultsetKey, setDatasetKeyColumns, setDisplayedResultsets, setFoldColumn, setInstances, setMeanPrec, setOptions, setProduceCSV, setProduceLatex, setResultsetKeyColumns, setRunColumn, setShowStdDevs, setSignificanceLevel, setStdDevPrec`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PairedCorrectedTTester

    public PairedCorrectedTTester()

Method Detail

### calculateStatistics

    public PairedStats calculateStatistics(Instance datasetSpecifier,
                                           int resultset1Index,
                                           int resultset2Index,
                                           int comparisonColumn)
                                    throws java.lang.Exception

  Computes a paired t-test comparison for a specified dataset between two resultsets.

  Overrides:
    `calculateStatistics` in class `PairedTTester`
  Parameters:
    `datasetSpecifier` - the dataset specifier
    `resultset1Index` - the index of the first resultset
    `resultset2Index` - the index of the second resultset
    `comparisonColumn` - the column containing values to compare
  Returns:
    the results of the paired comparison
  Throws:
    `java.lang.Exception` - if an error occurs

### main

    public static void main(java.lang.String[] args)

  Test the class from the command line.

  Parameters:
    `args` - contains options for the instance ttests

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD